# This file is part of EPOCH.
# File: CMakeLists.txt
# Author: Florent Teichteil-Königsbuch
# Contact: florent.teichteil@onera.fr
#
#    EPOCH is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    EPOCH is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with EPOCH.  If not, see <http://www.gnu.org/licenses/>.

FIND_PACKAGE (BISON REQUIRED)
FIND_PACKAGE (FLEX REQUIRED)
FIND_PACKAGE (BLAS)
FIND_PACKAGE (UMFPACK REQUIRED)
FIND_PACKAGE (LAPACK REQUIRED)


IF (BLAS_FOUND)
	ADD_DEFINITIONS(-DHAVE_BLAS)
	MESSAGE (STATUS "System's BLAS implementation found: ${BLAS_LIBRARIES}")
ELSE (BLAS_FOUND)
	MESSAGE (STATUS "Using BOOST uBlas implementation of BLAS (may lead to poor performances)")
ENDIF (BLAS_FOUND)

INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR}/sdk ${CMAKE_SOURCE_DIR}/src ${CMAKE_BINARY_DIR}/src)

ADD_SUBDIRECTORY (grammars)
#ADD_SUBDIRECTORY (solvers)
ADD_SUBDIRECTORY (console)
#ADD_SUBDIRECTORY (graph)
#ADD_SUBDIRECTORY (symbolic)
#ADD_SUBDIRECTORY (unittests)

IF (BUILD_GUI)
	ADD_SUBDIRECTORY (gui)
ENDIF (BUILD_GUI)

